New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

New project fail to build on iOS (double-conversion.build failed) #14368

Closed
irrigator opened this Issue Jun 7, 2017 · 98 comments

Comments

Projects
None yet
@irrigator

Reporting Bugs

New project fail to build on iOS (double-conversion.build failed)

Reproduction Steps and Sample Code

react-native init to create a new project and run react-native run-ios

Useful error messages:

/bin/sh -c /Users/zjy/Code/play/PlayWithRN/ios/build/Build/Intermediates/React.build/Debug-iphonesimulator/double-conversion.build/Script-190EE32F1E6A43DE00A8543A.sh

Unpacking /Users/zjy/.rncache/boost_1_63_0.tar.gz...

tar: (Empty error message)

tar: Error exit delayed from previous errors.

Command /bin/sh failed with exit code 1

** BUILD FAILED **

The following commands produced analyzer issues:

Analyze /Users/zjy/Code/play/PlayWithRN/node_modules/react-native/ReactCommon/yoga/yoga/YGNodeList.c
Analyze /Users/zjy/Code/play/PlayWithRN/node_modules/react-native/ReactCommon/yoga/yoga/Yoga.c
(2 commands with analyzer issues)

The following build commands failed:
PhaseScriptExecution Install\ Third\ Party /Users/zjy/Code/play/PlayWithRN/ios/build/Build/Intermediates/React.build/Debug-iphonesimulator/double-conversion.build/Script-190EE32F1E6A43DE00A8543A.sh
(1 failure)

Installing build/Build/Products/Debug-iphonesimulator/PlayWithRN.app
An error was encountered processing the command (domain=NSPOSIXErrorDomain, code=2):
Failed to install the requested application
An application bundle was not found at the provided path.
Provide a valid path to the desired application bundle.
Print: Entry, ":CFBundleIdentifier", Does Not Exist

Additional Information

  • React Native version: 0.45.0
  • Platform: iOS
  • Development Operating System: macOS 10.12.5
  • Dev tools: Xcode 8.3.3
@irrigator

This comment has been minimized.

Show comment
Hide comment
@irrigator

irrigator Jun 7, 2017

Additional information, android version can run but only renders a white screen. Existing 0.44 app on my computer runs without any problems.

Additional information, android version can run but only renders a white screen. Existing 0.44 app on my computer runs without any problems.

@bernatfortet

This comment has been minimized.

Show comment
Hide comment

Same here

@DMCHZP

This comment has been minimized.

Show comment
Hide comment

DMCHZP commented Jun 8, 2017

+1

@renlong

This comment has been minimized.

Show comment
Hide comment

renlong commented Jun 8, 2017

+1

@gudjao

This comment has been minimized.

Show comment
Hide comment

gudjao commented Jun 8, 2017

+1

@neverlan

This comment has been minimized.

Show comment
Hide comment
@neverlan

neverlan Jun 8, 2017

Same here

neverlan commented Jun 8, 2017

Same here

@moyanggong

This comment has been minimized.

Show comment
Hide comment

same

@shubhnik

This comment has been minimized.

Show comment
Hide comment
@shubhnik

shubhnik Jun 8, 2017

+1
0.45.0 din't worked for me(same error) so i just used 0.44.0
react-native init [PROJECT_NAME] --version 0.44.0

shubhnik commented Jun 8, 2017

+1
0.45.0 din't worked for me(same error) so i just used 0.44.0
react-native init [PROJECT_NAME] --version 0.44.0

@magicalcosmos

This comment has been minimized.

Show comment
Hide comment

same to me

@Easyzhan

This comment has been minimized.

Show comment
Hide comment

Easyzhan commented Jun 8, 2017

+1

@Barbery

This comment has been minimized.

Show comment
Hide comment

Barbery commented Jun 8, 2017

+1

@davidsamacoits

This comment has been minimized.

Show comment
Hide comment
@davidsamacoits

davidsamacoits Jun 8, 2017

Same here 👍

** BUILD FAILED **

The following commands produced analyzer issues:
Analyze /Users/davidsamacoits/Documents/Workspace/ReactNative/HelloWorld/node_modules/react-native/ReactCommon/yoga/yoga/YGNodeList.c

Analyze /Users/davidsamacoits/Documents/Workspace/ReactNative/HelloWorld/node_modules/react-native/ReactCommon/yoga/yoga/Yoga.c

(2 commands with analyzer issues)

The following build commands failed:
PhaseScriptExecution Install\ Third\ Party /Users/david/Documents/Workspace/ReactNative/HelloWorld/ios/build/Build/Intermediates/React.build/Debug-iphonesimulator/double-conversion.build/Script-190EE32F1E6A43DE00A8543A.sh
(1 failure)

Installing build/Build/Products/Debug-iphonesimulator/HelloWorld.app
An error was encountered processing the command (domain=NSPOSIXErrorDomain, code=2):
Failed to install the requested application
An application bundle was not found at the provided path.
Provide a valid path to the desired application bundle.
Print: Entry, ":CFBundleIdentifier", Does Not Exist

Command failed: /usr/libexec/PlistBuddy -c Print:CFBundleIdentifier build/Build/Products/Debug-iphonesimulator/HelloWorld.app/Info.plist
Print: Entry, ":CFBundleIdentifier", Does Not Exist

davidsamacoits commented Jun 8, 2017

Same here 👍

** BUILD FAILED **

The following commands produced analyzer issues:
Analyze /Users/davidsamacoits/Documents/Workspace/ReactNative/HelloWorld/node_modules/react-native/ReactCommon/yoga/yoga/YGNodeList.c

Analyze /Users/davidsamacoits/Documents/Workspace/ReactNative/HelloWorld/node_modules/react-native/ReactCommon/yoga/yoga/Yoga.c

(2 commands with analyzer issues)

The following build commands failed:
PhaseScriptExecution Install\ Third\ Party /Users/david/Documents/Workspace/ReactNative/HelloWorld/ios/build/Build/Intermediates/React.build/Debug-iphonesimulator/double-conversion.build/Script-190EE32F1E6A43DE00A8543A.sh
(1 failure)

Installing build/Build/Products/Debug-iphonesimulator/HelloWorld.app
An error was encountered processing the command (domain=NSPOSIXErrorDomain, code=2):
Failed to install the requested application
An application bundle was not found at the provided path.
Provide a valid path to the desired application bundle.
Print: Entry, ":CFBundleIdentifier", Does Not Exist

Command failed: /usr/libexec/PlistBuddy -c Print:CFBundleIdentifier build/Build/Products/Debug-iphonesimulator/HelloWorld.app/Info.plist
Print: Entry, ":CFBundleIdentifier", Does Not Exist

@llanginger

This comment has been minimized.

Show comment
Hide comment
@llanginger

llanginger Jun 8, 2017

Same here, totally crippled at the moment.

Xcode & react-native-cli both updated to latest releases.

edit: manually downgrading to react-native@0.44.0 and react@16.0.0.alpha.6 (which I THINK is the right version?), with no other changes, worked for me

llanginger commented Jun 8, 2017

Same here, totally crippled at the moment.

Xcode & react-native-cli both updated to latest releases.

edit: manually downgrading to react-native@0.44.0 and react@16.0.0.alpha.6 (which I THINK is the right version?), with no other changes, worked for me

@pduy117

This comment has been minimized.

Show comment
Hide comment
@pduy117

pduy117 Jun 9, 2017

Same here

pduy117 commented Jun 9, 2017

Same here

@wasterd

This comment has been minimized.

Show comment
Hide comment
@wasterd

wasterd Jun 9, 2017

same here

wasterd commented Jun 9, 2017

same here

@Balasnest

This comment has been minimized.

Show comment
Hide comment
@Balasnest

Balasnest Jun 9, 2017

me too facing the same issue. There is an issue with 0.45. Like @llanginger said, after downgrading
npm install react-native@0.44.0 If you are using RN 0.44, you'd better keep it as below:

"react": "16.0.0-alpha.6", "react-native": "0.44.0",

works well.

Balasnest commented Jun 9, 2017

me too facing the same issue. There is an issue with 0.45. Like @llanginger said, after downgrading
npm install react-native@0.44.0 If you are using RN 0.44, you'd better keep it as below:

"react": "16.0.0-alpha.6", "react-native": "0.44.0",

works well.

@vincentmrlau

This comment has been minimized.

Show comment
Hide comment
@vincentmrlau

vincentmrlau Jun 9, 2017

the same
xcode:8.3.2
react-native-cli: 2.0.1
react-native: 0.45.0

the same
xcode:8.3.2
react-native-cli: 2.0.1
react-native: 0.45.0

@pduy117

This comment has been minimized.

Show comment
Hide comment
@pduy117

pduy117 Jun 9, 2017

0.45.0 din't worked for me(same error) so i just used 0.44.0
react-native init [PROJECT_NAME] --version 0.44.0
----- Thank: shubhnik
This's worked for me!!

pduy117 commented Jun 9, 2017

0.45.0 din't worked for me(same error) so i just used 0.44.0
react-native init [PROJECT_NAME] --version 0.44.0
----- Thank: shubhnik
This's worked for me!!

@carera carera referenced this issue Jun 9, 2017

Closed

Xcode error #14409

@windhost

This comment has been minimized.

Show comment
Hide comment

windhost commented Jun 9, 2017

+1

@BeginReactNative

This comment has been minimized.

Show comment
Hide comment

same here !

@fuxianwei

This comment has been minimized.

Show comment
Hide comment

+1

@postace

This comment has been minimized.

Show comment
Hide comment
@postace

postace Jun 10, 2017

+1 Same here,
When run command run-ios, I didn't see the packager terminal open up.
So I follow the above instructions, downgrade react-native to 0.44.0 and wala, it works

postace commented Jun 10, 2017

+1 Same here,
When run command run-ios, I didn't see the packager terminal open up.
So I follow the above instructions, downgrade react-native to 0.44.0 and wala, it works

@musicode

This comment has been minimized.

Show comment
Hide comment

+1

@rochadsouza

This comment has been minimized.

Show comment
Hide comment
@rochadsouza

rochadsouza Jun 10, 2017

+1

update:
It works for me with:
xcode:8.3.3
react-native-cli: 2.0.1
react-native: 0.45.1

rochadsouza commented Jun 10, 2017

+1

update:
It works for me with:
xcode:8.3.3
react-native-cli: 2.0.1
react-native: 0.45.1

@danidewitt

This comment has been minimized.

Show comment
Hide comment

+1

@ganisback

This comment has been minimized.

Show comment
Hide comment

+1

@troyz

This comment has been minimized.

Show comment
Hide comment

troyz commented Jun 12, 2017

+1

@sharkrice

This comment has been minimized.

Show comment
Hide comment

+1

@wh-Coder

This comment has been minimized.

Show comment
Hide comment
@wh-Coder

wh-Coder Jun 12, 2017

lol same here

lol same here

@viettranx

This comment has been minimized.

Show comment
Hide comment
@viettranx

viettranx Jun 12, 2017

This is a stupid issue. We can resolve it by moving react native project to a folder path without white space characters.

For ex this path will not work in RN 0.45.x: /User/viettranx/React Native/DemoApp

The reason is in where RN build the app, it export command was wrong:

export SCROOT=/User/viettranx/React Native/DemoApp

The right syntax must be
export SCROOT=/User/viettranx/React\ Native/DemoApp

That export command very important for the bash script in double conversion module.
** Remember delete your build folder in iOS for removing cache.

Hope it helps.

viettranx commented Jun 12, 2017

This is a stupid issue. We can resolve it by moving react native project to a folder path without white space characters.

For ex this path will not work in RN 0.45.x: /User/viettranx/React Native/DemoApp

The reason is in where RN build the app, it export command was wrong:

export SCROOT=/User/viettranx/React Native/DemoApp

The right syntax must be
export SCROOT=/User/viettranx/React\ Native/DemoApp

That export command very important for the bash script in double conversion module.
** Remember delete your build folder in iOS for removing cache.

Hope it helps.

@irrigator

This comment has been minimized.

Show comment
Hide comment
@irrigator

irrigator Jun 12, 2017

@viettranx But mine does not contain any space characters.

@viettranx But mine does not contain any space characters.

@viettranx

This comment has been minimized.

Show comment
Hide comment
@viettranx

viettranx Jun 12, 2017

@irrigator it seems file /Users/zjy/.rncache/boost_1_63_0.tar.gz could not unpack. You can check it or try removing rncache.

@irrigator it seems file /Users/zjy/.rncache/boost_1_63_0.tar.gz could not unpack. You can check it or try removing rncache.

@irrigator

This comment has been minimized.

Show comment
Hide comment
@irrigator

irrigator Jun 12, 2017

@viettranx Tried that before, does not work. Still get the same error.

@viettranx Tried that before, does not work. Still get the same error.

@irrigator

This comment has been minimized.

Show comment
Hide comment
@irrigator

irrigator Jun 12, 2017

Does it work on your machine? RN 0.45 with Xcode 8.3.3?

Does it work on your machine? RN 0.45 with Xcode 8.3.3?

@viettranx

This comment has been minimized.

Show comment
Hide comment
@viettranx

viettranx Jun 12, 2017

@irrigator yes.

XCode: 8.3.3
React Native: 0.45.1
React: 16.0.0-alpha.12

@irrigator yes.

XCode: 8.3.3
React Native: 0.45.1
React: 16.0.0-alpha.12

@bbrodsky

This comment has been minimized.

Show comment
Hide comment
@bbrodsky

bbrodsky Jun 12, 2017

@viettranx been following along. Your suggestions cleared up my errors that mimicked @irrigator , but now I am facing this one:

/Users/.../node_modules/react-native/third-party/boost_1_63_0/boost/config.hpp:30:12: 'boost/config/user.hpp' file not found

My project was working fine on RN 0.44.2, React: alpha.6

@viettranx been following along. Your suggestions cleared up my errors that mimicked @irrigator , but now I am facing this one:

/Users/.../node_modules/react-native/third-party/boost_1_63_0/boost/config.hpp:30:12: 'boost/config/user.hpp' file not found

My project was working fine on RN 0.44.2, React: alpha.6

@viettranx

This comment has been minimized.

Show comment
Hide comment
@viettranx

viettranx Jun 12, 2017

@bbrodsky plz check /Users/.../node_modules/react-native/third-party/boost_1_63_0/boost/config folder. It include file user.hpp although it empty (but comment lines).

May be it was an issue about unpacking or caching file.

viettranx commented Jun 12, 2017

@bbrodsky plz check /Users/.../node_modules/react-native/third-party/boost_1_63_0/boost/config folder. It include file user.hpp although it empty (but comment lines).

May be it was an issue about unpacking or caching file.

@bbrodsky

This comment has been minimized.

Show comment
Hide comment
@bbrodsky

bbrodsky Jun 12, 2017

@viettranx ya, the folder is empty...

@viettranx ya, the folder is empty...

@viettranx

This comment has been minimized.

Show comment
Hide comment
@viettranx

viettranx Jun 12, 2017

Just remove third-party folder, it will re-download and unpack with react-native run-ios command.

Just remove third-party folder, it will re-download and unpack with react-native run-ios command.

@thainh107

This comment has been minimized.

Show comment
Hide comment

+1

@willmcclellan

This comment has been minimized.

Show comment
Hide comment
@willmcclellan

willmcclellan Jun 22, 2017

I had some luck with the following:

rm -r ~/.rncache
rm -r <your-project>/node_modules/react-native/third_party

Then clean in Xcode and rebuild. Thanks @viettranx

I had some luck with the following:

rm -r ~/.rncache
rm -r <your-project>/node_modules/react-native/third_party

Then clean in Xcode and rebuild. Thanks @viettranx

@huaidanlk

This comment has been minimized.

Show comment
Hide comment

@shubhnik thanks

@CynthiaNC

This comment has been minimized.

Show comment
Hide comment
@CynthiaNC

CynthiaNC Jun 22, 2017

react-native init [ProjectName] --version 0.44.0

react-native init myFifthApp --version 0.44.0

it solved. Thanks~

react-native init [ProjectName] --version 0.44.0

react-native init myFifthApp --version 0.44.0

it solved. Thanks~

@raunaqss

This comment has been minimized.

Show comment
Hide comment
@raunaqss

raunaqss Jun 22, 2017

Faced the exact same issue for hours. Finally got it working with 0.44.0. Makes me apprehensive about learning React Native. Will it be any good if it keeps breaking?

Faced the exact same issue for hours. Finally got it working with 0.44.0. Makes me apprehensive about learning React Native. Will it be any good if it keeps breaking?

@PeterEmanuel

This comment has been minimized.

Show comment
Hide comment
@PeterEmanuel

PeterEmanuel Jun 22, 2017

What puzzles me, is that this seems to be an issue introduced in the build system and that no one from FB is yet seriously taken part in this discussion...
The tips here are tweaks/fixes that work for some, but do not address the real problem that has been introduced in 0.45.
For instance, I do not have spaces in my project path. I have cleared yarn/npm cashes, deleted node_modules, etc. But with my app with only a few linked projects I can simply not use 45 for building it on Mac. So I am happily back to 0.44 (app in TestFlight phase).
Can't any active repo contributor comment on what's going on?
BTW, I really LOVE RN - so great to build fast native apps with JS(X)!

PeterEmanuel commented Jun 22, 2017

What puzzles me, is that this seems to be an issue introduced in the build system and that no one from FB is yet seriously taken part in this discussion...
The tips here are tweaks/fixes that work for some, but do not address the real problem that has been introduced in 0.45.
For instance, I do not have spaces in my project path. I have cleared yarn/npm cashes, deleted node_modules, etc. But with my app with only a few linked projects I can simply not use 45 for building it on Mac. So I am happily back to 0.44 (app in TestFlight phase).
Can't any active repo contributor comment on what's going on?
BTW, I really LOVE RN - so great to build fast native apps with JS(X)!

@JessicaBarclay

This comment has been minimized.

Show comment
Hide comment
@JessicaBarclay

JessicaBarclay Jun 23, 2017

Dare I ask... Any solution here? Running 0.44 with the same error 😞

Dare I ask... Any solution here? Running 0.44 with the same error 😞

@cpsubrian

This comment has been minimized.

Show comment
Hide comment
@cpsubrian

cpsubrian Jun 23, 2017

Fresh 0.45.1 init failed with the same error for me . Happy to provide more info if needed.

Fresh 0.45.1 init failed with the same error for me . Happy to provide more info if needed.

@abdulmalik97

This comment has been minimized.

Show comment
Hide comment
@abdulmalik97

abdulmalik97 Jun 24, 2017

Basically just download the boost folder from here https://sourceforge.net/projects/boost/files/boost/1.63.0/ and replace it with the boost folder in your dummyproject/node_modules/react-native/thirdparty/ This is a workaround for now so you have to do this every time you create a new react native project . So use it until they fix the root of the problem . wasted a whole day searching for answers and finally found it!!

abdulmalik97 commented Jun 24, 2017

Basically just download the boost folder from here https://sourceforge.net/projects/boost/files/boost/1.63.0/ and replace it with the boost folder in your dummyproject/node_modules/react-native/thirdparty/ This is a workaround for now so you have to do this every time you create a new react native project . So use it until they fix the root of the problem . wasted a whole day searching for answers and finally found it!!

@vijaysraj

This comment has been minimized.

Show comment
Hide comment
@vijaysraj

vijaysraj Jun 25, 2017

Thanks @shubhnik. version 0.44.0 worked for me too.

Thanks @shubhnik. version 0.44.0 worked for me too.

@huaidanlk

This comment has been minimized.

Show comment
Hide comment
@huaidanlk

huaidanlk Jun 27, 2017

@JessicaBarclay run your project in Xcode ,tomorrow the version 0.44.0 worked for me,but today,I running with the same error ,so I running project in Xcode ,unbelievable,it running success

@JessicaBarclay run your project in Xcode ,tomorrow the version 0.44.0 worked for me,but today,I running with the same error ,so I running project in Xcode ,unbelievable,it running success

@raunaqss

This comment has been minimized.

Show comment
Hide comment
@raunaqss

raunaqss Jun 27, 2017

Woohoo!

5 days back I complained on this thread about not being able to get 0.45.1 working. I was just starting to learn React Native then, today, after completing a couple courses/tutorials and making my first app with 0.44.2, I finally got 0.45.1 working by changing my workspace directory to one with no spaces (sound funny lol) and just did a yarn install after running init..

screen shot 2017-06-27 at 4 13 56 pm

Woohoo!

5 days back I complained on this thread about not being able to get 0.45.1 working. I was just starting to learn React Native then, today, after completing a couple courses/tutorials and making my first app with 0.44.2, I finally got 0.45.1 working by changing my workspace directory to one with no spaces (sound funny lol) and just did a yarn install after running init..

screen shot 2017-06-27 at 4 13 56 pm

@javitxumartinez

This comment has been minimized.

Show comment
Hide comment
@javitxumartinez

javitxumartinez Jun 28, 2017

I solved this problem by deleting .rncache folder within the home directory, deleting node modules and then yarn install, and works like a charm.

I solved this problem by deleting .rncache folder within the home directory, deleting node modules and then yarn install, and works like a charm.

@Msspl-PrashenjeetRoy

This comment has been minimized.

Show comment
Hide comment
@Msspl-PrashenjeetRoy

Msspl-PrashenjeetRoy Jun 28, 2017

@raunaqss Can you explain this - "changing my workspace directory to one with no spaces (sound funny lol)". I am facing the same issue.

@raunaqss Can you explain this - "changing my workspace directory to one with no spaces (sound funny lol)". I am facing the same issue.

@Feng999

This comment has been minimized.

Show comment
Hide comment
@Feng999

Feng999 Jul 2, 2017

Contributor

Faced the same issue . And got it working with 0.44.0. Don't know why.

Contributor

Feng999 commented Jul 2, 2017

Faced the same issue . And got it working with 0.44.0. Don't know why.

@abhishekbansal-kiwi

This comment has been minimized.

Show comment
Hide comment
@abhishekbansal-kiwi

abhishekbansal-kiwi Jul 2, 2017

@javitxumartinez Though solved the unpacking error for me, now stuck in "Use of undeclared type 'RCTBridge', 'RCTBundelURLProvider' "upgraded from 0.38 to 0.45 to use react native navigation.

@javitxumartinez Though solved the unpacking error for me, now stuck in "Use of undeclared type 'RCTBridge', 'RCTBundelURLProvider' "upgraded from 0.38 to 0.45 to use react native navigation.

@raunaqss

This comment has been minimized.

Show comment
Hide comment
@raunaqss

raunaqss Jul 3, 2017

@Msspl-PrashenjeetRoy by that I meant not having any whitespace in the project's path.

raunaqss commented Jul 3, 2017

@Msspl-PrashenjeetRoy by that I meant not having any whitespace in the project's path.

@ananddayalan

This comment has been minimized.

Show comment
Hide comment
@ananddayalan

ananddayalan Jul 4, 2017

Faced the error. Works after renaming the project folder without spaces

Faced the error. Works after renaming the project folder without spaces

@xilibro

This comment has been minimized.

Show comment
Hide comment
@xilibro

xilibro Jul 5, 2017

upgrade macOS, Xcode , react, react-native to latest version
delete ~/.rncache folder
run react-native init ProjectName / delete node_module and run npm install for existing project
that's all, but take my whole day time

xilibro commented Jul 5, 2017

upgrade macOS, Xcode , react, react-native to latest version
delete ~/.rncache folder
run react-native init ProjectName / delete node_module and run npm install for existing project
that's all, but take my whole day time

@llearn

This comment has been minimized.

Show comment
Hide comment

llearn commented Jul 8, 2017

+1

@lupena

This comment has been minimized.

Show comment
Hide comment
@lupena

lupena Jul 9, 2017

+1
Same problem here! React is not working for me from version 0.44

Tried everything listed above (Including no space in directories).

Upgraded * to the latest version:
Xcode 8.3.3
react-native-cli: 2.0.1
react-native: 0.46.1
OSX Sierra 10.12.5

lupena commented Jul 9, 2017

+1
Same problem here! React is not working for me from version 0.44

Tried everything listed above (Including no space in directories).

Upgraded * to the latest version:
Xcode 8.3.3
react-native-cli: 2.0.1
react-native: 0.46.1
OSX Sierra 10.12.5

@SudoPlz

This comment has been minimized.

Show comment
Hide comment
@SudoPlz

SudoPlz Jul 10, 2017

Contributor

Just leaving this here.

Some of you might be able to fix this with 5c53f89#commitcomment-23014602

Contributor

SudoPlz commented Jul 10, 2017

Just leaving this here.

Some of you might be able to fix this with 5c53f89#commitcomment-23014602

@reimertz

This comment has been minimized.

Show comment
Hide comment
@reimertz

reimertz Jul 10, 2017

Fresh install react-native init Hello breaks
Fresh install react-native init Hello --version 0.44.0 works

Since I symlink into my iCloud drive folder, I can confirm whitespace was the issue for me but I also have issues on 0.44 related to react-native-flux-router so I have to manually edit generated bash scrips till this is resorted.

I guess symlinking into my iCloud Drive folder wasn't that cool after all.. :(

Fresh install react-native init Hello breaks
Fresh install react-native init Hello --version 0.44.0 works

Since I symlink into my iCloud drive folder, I can confirm whitespace was the issue for me but I also have issues on 0.44 related to react-native-flux-router so I have to manually edit generated bash scrips till this is resorted.

I guess symlinking into my iCloud Drive folder wasn't that cool after all.. :(

@ofairfoul

This comment has been minimized.

Show comment
Hide comment
@ofairfoul

ofairfoul Jul 14, 2017

thankyou @SudoPlz 5c53f89 helped me. but why isn't this in 0.46.2 already!?

EDIT: this fix is now in RN 0.46.3

ofairfoul commented Jul 14, 2017

thankyou @SudoPlz 5c53f89 helped me. but why isn't this in 0.46.2 already!?

EDIT: this fix is now in RN 0.46.3

@yonedev

This comment has been minimized.

Show comment
Hide comment
@yonedev

yonedev Jul 17, 2017

@ofairfoul I was in 0.46.3 and I had same mistake.

The temporal solution: npm install react-native@0.44.3

yonedev commented Jul 17, 2017

@ofairfoul I was in 0.46.3 and I had same mistake.

The temporal solution: npm install react-native@0.44.3

@kimown

This comment has been minimized.

Show comment
Hide comment
@kimown

kimown Jul 20, 2017

Unpacking /Users/XXX/.rncache/double-conversion-1.1.5.tar.gz...

  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current

                                 Dload  Upload   Total   Spent    Left  Speed

100   609    0   609    0     0    104      0 --:--:--  0:00:05 --:--:--   157

ØÅØ  

then the process hang

env:

react-native-cli: 2.0.1
"react-native": "0.46.4"

kimown commented Jul 20, 2017

Unpacking /Users/XXX/.rncache/double-conversion-1.1.5.tar.gz...

  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current

                                 Dload  Upload   Total   Spent    Left  Speed

100   609    0   609    0     0    104      0 --:--:--  0:00:05 --:--:--   157

ØÅØ  

then the process hang

env:

react-native-cli: 2.0.1
"react-native": "0.46.4"
@ashemah

This comment has been minimized.

Show comment
Hide comment
@ashemah

ashemah Jul 21, 2017

Hi all, I just ran into this issue as well. As noted above, the root cause is due to some of the files (in my case boost) not downloading to the cache properly.

The easiest way to fix this is:

  1. Make sure your project path does not include spaces (this was the issue for some people)
  2. Ensure you are properly connected to the internet
  3. Delete the ~/.rncache directory
  4. Re-run 'react-native run-ios' (This will re-download the previously broken files to the .rncache dir)

That fixed it for me. You need to delete the .rncache dir or it will keep reusing the broken files and not compile. This definitely needs better error handling and to preferably terminate the build if it cannot download those files properly (although perhaps it didn't because I ran the build in xcode originally rather than with run-ios).

Note: This happened for me even on 0.46.4 which some people said was fixed.

ashemah commented Jul 21, 2017

Hi all, I just ran into this issue as well. As noted above, the root cause is due to some of the files (in my case boost) not downloading to the cache properly.

The easiest way to fix this is:

  1. Make sure your project path does not include spaces (this was the issue for some people)
  2. Ensure you are properly connected to the internet
  3. Delete the ~/.rncache directory
  4. Re-run 'react-native run-ios' (This will re-download the previously broken files to the .rncache dir)

That fixed it for me. You need to delete the .rncache dir or it will keep reusing the broken files and not compile. This definitely needs better error handling and to preferably terminate the build if it cannot download those files properly (although perhaps it didn't because I ran the build in xcode originally rather than with run-ios).

Note: This happened for me even on 0.46.4 which some people said was fixed.

@baurine

This comment has been minimized.

Show comment
Hide comment
@baurine

baurine Jul 24, 2017

wow, it is funny! I clone a repo, then use npm install, react-native run-ios to run it, got the exact same error about double-conversion.build/Script-190EE32F1E6A43DE00A8543A.sh, I tried above kinds of solutions, it still doesn't work.

then, I just suddenly thought, why not try yarn install instead of npm install, wow, surprise, it finally works! I want to cry, wasted me half day.

my project dependencies:

"react": "16.0.0-alpha.12"
"react-native": "0.45.1"

the full process:

> rm -rf ~/.rncache
> rm -rf node_modules
> yarn install
> react-native run-ios  

Hope this can help you.

baurine commented Jul 24, 2017

wow, it is funny! I clone a repo, then use npm install, react-native run-ios to run it, got the exact same error about double-conversion.build/Script-190EE32F1E6A43DE00A8543A.sh, I tried above kinds of solutions, it still doesn't work.

then, I just suddenly thought, why not try yarn install instead of npm install, wow, surprise, it finally works! I want to cry, wasted me half day.

my project dependencies:

"react": "16.0.0-alpha.12"
"react-native": "0.45.1"

the full process:

> rm -rf ~/.rncache
> rm -rf node_modules
> yarn install
> react-native run-ios  

Hope this can help you.

@zx3570

This comment has been minimized.

Show comment
Hide comment
@zx3570

zx3570 Jul 28, 2017

jietu20170728-132148

same problem!Then, I want to change react-native version.But,I met another problem :

jietu20170728-134225

Refusing to install package with name "react-native" under a package also called "react-native".

How to fix it?
Xcode version:8.3.2
I run the official Demo

zx3570 commented Jul 28, 2017

jietu20170728-132148

same problem!Then, I want to change react-native version.But,I met another problem :

jietu20170728-134225

Refusing to install package with name "react-native" under a package also called "react-native".

How to fix it?
Xcode version:8.3.2
I run the official Demo

@liukaixin01

This comment has been minimized.

Show comment
Hide comment

+1

@ThienMD

This comment has been minimized.

Show comment
Hide comment
@jjerryhan

This comment has been minimized.

Show comment
Hide comment
@hramos

This comment has been minimized.

Show comment
Hide comment
@hramos

hramos Aug 3, 2017

Contributor

Duplicate of #14447

Contributor

hramos commented Aug 3, 2017

Duplicate of #14447

@hramos hramos marked this as a duplicate of #14447 Aug 3, 2017

@hramos hramos closed this Aug 3, 2017

@hramos

This comment has been minimized.

Show comment
Hide comment
@hramos

hramos Aug 3, 2017

Contributor

Duplicate of #14423

Contributor

hramos commented Aug 3, 2017

Duplicate of #14423

@hramos hramos marked this as a duplicate of #14423 Aug 3, 2017

@facebook facebook locked and limited conversation to collaborators Aug 3, 2017

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.